Skip to main content
GET
/
v1
/
skills
List workspace agent skills
curl --request GET \
  --url https://api.conduit.ai/v1/skills \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ks77c0dy0mgdpzmqz6tesry8w184002s",
      "workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
      "name": "booking-policy",
      "display_name": "Booking Policy",
      "description": "Use this skill for refund and cancellation questions.",
      "body": "Guests may cancel up to 48 hours before check-in for a full refund.",
      "allowed_tools": [
        "convex_get_booking"
      ],
      "tags": [
        "policy",
        "refunds"
      ],
      "enabled": true,
      "created_at": "2026-04-01T17:22:10.000Z",
      "updated_at": "2026-04-03T03:14:15.000Z"
    }
  ],
  "next_cursor": "page-token",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.

Query Parameters

workspace_id
string
required

Workspace to query.

Example:

"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"

limit
integer
Required range: 1 <= x <= 100
cursor
string

Response

Workspace skills

Cursor-paginated workspace skills response.

data
object[]
required
next_cursor
string | null
required
has_more
boolean
required